D-Bus 1.13.18

Functions
dbus-uuidgen implementation
D-Bus secret internal implementation details

Functions for dbus-uuidgen binary. More...

## Functions
dbus_bool_t | _dbus_get_uuid (const char *filename, char **uuid_p, dbus_bool_t create_if_not_found, DBusError *error)
| For use by the dbus-uuidgen binary ONLY, do not call this. More...
dbus_bool_t | _dbus_create_uuid (char **uuid_p, DBusError *error)

## Detailed Description

Functions for dbus-uuidgen binary.

These are not considered part of the ABI, and if you call them you will get screwed by future changes.

## Function Documentation

## ◆ _dbus_create_uuid()

dbus_bool_t _dbus_create_uuid | ( | char ** | uuid_p,
|  | DBusError * | error
| ) |  |

Parameters

  uuid_p | out param to return the uuid
  error | location to store reason for failure

Returns
  TRUE on success

Definition at line 119 of file dbus-uuidgen.c.

References _dbus_generate_uuid(), and FALSE.

## ◆ _dbus_get_uuid()

dbus_bool_t _dbus_get_uuid | ( | const char * | filename,
|  | char ** | uuid_p,
|  | dbus_bool_t | create_if_not_found,
|  | DBusError * | error
| ) |  |

For use by the dbus-uuidgen binary ONLY, do not call this.

We can and will change this function without modifying the libdbus soname.

Parameters

  filename | the file or NULL for the machine ID file
  uuid_p | out param to return the uuid
  create_if_not_found | whether to create it if not already there
  error | error return

Returns
  FALSE if error is set

Definition at line 83 of file dbus-uuidgen.c.

References _dbus_read_local_machine_uuid(), _dbus_read_uuid_file(), and _dbus_string_init_const().